SHEBANG
# Copyright Denis Generalov (C)2007
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# $Id: addon-ispdb2conf.m4,v 1.1 2007/11/21 12:32:26 gd Exp $

JNTROSTUP(bind8,-ispdb2conf,dnl
,dnl
# jailup bind8-ispdb2conf <dir>
#     where dir relative to ${JAILRODIR}dnl
)

CONFDIR=/var/net/conf

if [ ! -d "${JAILRODIR}/${1}" ]
then
    echo "${JAILRODIR}/${1} not found"
    exit
fi

if [ ! -d "${CONFDIR}/${1}" ]
then
    echo "${CONFDIR}/${1} not found"
    exit
fi

${cat} "${JAILRODIR}/${1}/conf.template" \
       `${find} "${CONFDIR}/${1}" -type f -name conf.part` \
    > "${JAILRODIR}/${1}/conf"
${find} "${CONFDIR}/${1}" -type f -depth 2 ! -name conf.part ! -name '*.t' \
        -exec ${cp} {} "${JAILRODIR}/${1}/" \;

if [ -f "${JAILUPDIR}/${1}/var/run/named.pid" ]
then
    ${kill} -HUP `${cat} "${JAILUPDIR}/${1}/var/run/named.pid"`
fi
