SHEBANG
# Copyright @BABOLO (C)2002,2003
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# $Id: up.m4,v 1.2 2003/05/02 23:15:34 babolo Exp $

JNTROSTUP(named,,bind8dnl
,dnl
# jailup bind8 dir jailname jailaddr [uid [gid [yes|no]]]
#     where dir relative to ${JAILUPDIR} and ${JAILRODIR}
# bind from base system used
# Default genclass is \"named\".
# This genclass is not controled by common startshell
# and starts early - see /etc/rc.conf
# change genclass to \"bind\" by yes in last
# optional parameter to manage by common startshelldnl
)

jdir="${1}"
jailsname="${2}"
jailsaddr="${3}"
juid="${4:-53}"
jgid="${5:-53}"
if  [ "${6}" = "yes" ]; then
    genclass=bind
fi
main_dir="${JAILUPDIR}/${jdir}"
conf_dir="${JAILRODIR}/${jdir}"

${mkdir} "${main_dir}" "${conf_dir}"
${up_mdir} "${main_dir}" ${MTREE}
echo "localtime" | ${up_data} "${main_dir}/etc/" /etc/
${up_conf} "${conf_dir}/" /etc/namedb/named. << "EOF"
    root
EOF

${up_shlib} "${main_dir}/usr/lib" << "EOF"
    c
EOF

${up_libexe} "${main_dir}/usr/libexec" << EOF
    ld-elf.so.1
    named-xfer
    named
EOF

      #####################################
      ####                             ####
      #### Begin of named conf         ####
      ####                             ####
cf=conf; if  [ -e "${conf_dir}/${cf}" ]; then cf="${cf}.sample"; fi
${cat} << "EOF" > "${conf_dir}/${cf}"
options {
	use-id-pool yes;
	directory "/namedb";
	named-xfer "/usr/libexec/named-xfer";
	dump-file "/var/run/named_dump.db";
	memstatistics-file "/var/run/named.memstats";
	statistics-file "/var/run/named.stats";
};

zone "." IN {
	type hint;
	file "m/root";
};
EOF
      ####                             ####
      #### End of named conf           ####
      ####                             ####
      #####################################

${mtree} -Ueqxp "${main_dir}" -f ${MTREE}
${mtree} -Ueqxp "${conf_dir}" << "EOF"
/set type=file uname=root gname=wheel mode=0644 flags=none
.		type=dir mode=0755
    conf
    root
..
EOF

${cat} << EOF >> "${genconfig}"
#${genclass}	${inclass}	${jdir}	${jailsname}	${jailsaddr}	0	${juid}	${jgid}
EOF

      #####################################
      ####                             ####
      #### Begin of fstab mod          ####
      ####                             ####
${cat} << EOF >> "${etcdir}/fstab"
#${conf_dir}		${main_dir}/namedb/m	null	ro,nodev,noexec	0 0
EOF
      ####                             ####
      #### End of fstab mod            ####
      ####                             ####
      #### Begin of rc.conf mod        ####
      ####                             ####
cat << EOF >> "${etcdir}/rc.conf"
#named_program="${usretcdir}/rc.d/jailup.sh"
#named_flags="start named"
#named_enable="YES"
EOF
      ####                             ####
      #### End of rc.conf mod          ####
      ####                             ####
      #####################################
